# WOK
TKWOK
EDL

# EDL_Library Class Reference

`#include <EDL_Library.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_Library ()
Standard_EXPORT | EDL_Library (const Standard_CString aName)
Standard_EXPORT void | Assign (const EDL_Library &aLib)
void | operator= (const EDL_Library &aLib)
Standard_EXPORT void | Destroy () const
| ~EDL_Library ()
Standard_EXPORT Standard_CString | GetName () const
Standard_EXPORT OSD_Function | GetSymbol (const Standard_CString aName) const
Standard_EXPORT Standard_CString | GetStatus () const
Standard_EXPORT void | Close () const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const EDL_Library &aVar, const Standard_Integer Upper)
static Standard_EXPORT Standard_Boolean | IsEqual (const EDL_Library &alib1, const EDL_Library &alib2)

## Private Attributes

Handle_TCollection_HAsciiString | myName
OSD_SharedLibrary | myLib

## Constructor & Destructor Documentation

Standard_EXPORT EDL_Library::EDL_Library | ( |  | ) |

Standard_EXPORT EDL_Library::EDL_Library | ( | const Standard_CString | aName | ) |

EDL_Library::~EDL_Library | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void EDL_Library::Assign | ( | const EDL_Library & | aLib | ) |

Standard_EXPORT void EDL_Library::Close | ( |  | ) | const

Standard_EXPORT void EDL_Library::Destroy | ( |  | ) | const

Standard_EXPORT Standard_CString EDL_Library::GetName | ( |  | ) | const

Standard_EXPORT Standard_CString EDL_Library::GetStatus | ( |  | ) | const

Standard_EXPORT OSD_Function EDL_Library::GetSymbol | ( | const Standard_CString | aName | ) | const

static Standard_EXPORT Standard_Integer EDL_Library::HashCode | ( | const EDL_Library & | aVar,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean EDL_Library::IsEqual | ( | const EDL_Library & | alib1,
|  | const EDL_Library & | alib2
| ) | `[static]`

void EDL_Library::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_Library::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_Library::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void EDL_Library::operator= | ( | const EDL_Library & | aLib | ) | `[inline]`

## Field Documentation

OSD_SharedLibrary EDL_Library::myLib `[private]`

Handle_TCollection_HAsciiString EDL_Library::myName `[private]`

The documentation for this class was generated from the following file:

- EDL_Library.hxx